<div class="wrap">
	<div class="pb-dashboard-row">
		<div class="pb-dashboard-panel">
			<div class="pb-dashboard-content">
				<h2>
					{{ __( 'Welcome to', 'pressbooks' ) }}
					<span class="network-title">{!! $site_name !!}</span>
				</h2>
			</div>
		</div>
	</div>

	@if( $invitations->isNotEmpty() )
		<div class="pb-dashboard-row">
			<div class="pb-dashboard-panel pb-dashboard-invitations">
				<div class="pb-dashboard-content">
					<h2>{{ __( 'Book Invitations', 'pressbooks' ) }}</h2>

					@foreach( $invitations as $invitation )
						<div class="flex-wide">
							<p>{!! sprintf( __( 'You have been invited to join %1$s as %2$s', 'pressbooks' ), $invitation['book_url'], $invitation['role'] ) !!}</p>
							<a class="button button-primary" href="{{ $invitation['accept_link'] }}">{{ __( 'Accept', 'pressbooks' ) }}</a>
						</div>
					@endforeach
				</div>
			</div>
		</div>
	@endif

	@if( $can_create_new_books || $can_clone_books )
		<div class="pb-dashboard-row">
			<div class="pb-dashboard-grid">
				@if( $can_create_new_books )
					<div class="pb-dashboard-panel">
						<div class="pb-dashboard-image">
							<img
								src="{{ PB_PLUGIN_URL . "assets/dist/images/pb-create-book.png" }}"
								alt="{{ __( 'Create a new book art', 'pressbooks' ) }}"
							/>
						</div>

						<div class="pb-dashboard-content">
							<h2>{{ __( 'Create a book', 'pressbooks' ) }}</h2>

							<p>{{ __( 'Create a new book full of engaging content: words, images, audio, video, footnotes, glossary terms, mathematical formula, interactive quizzes, and more.', 'pressbooks' ) }}</p>
						</div>

						<div class="pb-dashboard-action">
							@if( $book_creation_enabled )
								<a class="button button-hero button-primary" href="{{ network_home_url( 'wp-signup.php' ) }}">
									{{ __( 'Create a book', 'pressbooks' ) }}
								</a>
							@else
								<a class="button button-hero button-primary" href="{{ network_admin_url( 'site-new.php' ) }}">
									{{ __( 'Create a book', 'pressbooks' ) }}
								</a>
							@endif
						</div>
					</div>
				@endif

				@if( $can_clone_books )
					<div class="pb-dashboard-panel">
						<div class="pb-dashboard-image">
							<img
								src="{{ PB_PLUGIN_URL . "assets/dist/images/pb-adapt-book.png" }}"
								alt="{{ __( 'Adapt a book art', 'pressbooks' ) }}"
							/>
						</div>

						<div class="pb-dashboard-content">
							<h2>{{ __( 'Adapt a book', 'pressbooks' ) }}</h2>

							<p>{{ __( 'Use our cloning tool to make your own personalized copy of any of the thousands of openly licensed educational books already published with Pressbooks.', 'pressbooks' ) }}</p>
						</div>

						<div class="pb-dashboard-action">
							<a class="button button-hero button-primary" href="{{ admin_url( 'admin.php?page=pb_cloner' ) }}">
								{{ __( 'Adapt a book', 'pressbooks' ) }}
							</a>
						</div>
					</div>
				@endif
			</div>
		</div>
	@endif
</div>
